Bug 243821

Summary: REGRESSION (iOS 16 Beta): camera resolution doesn't change when rotate the device and video sent with distorted aspect ratio
Product: WebKit Reporter: olena.bezkrovna
Component: WebRTCAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Critical CC: daginge, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: iPhone / iPad   
OS: Other   

Description olena.bezkrovna 2022-08-11 04:11:47 PDT
Scenario:
1. join the call (e.g. google meets)
2. Rotate the device:
When starting the camera in portrait mode the issue happens only for specific rotations:

Front Camera
clockwise - OK
counterclockwise - the aspect ratio is broken

Back Camera (vice versa):
clockwise - the aspect ratio is broken
counterclockwise - OK

When starting the camera in landscape mode the issue may happen in portrait mode.

Tested devices:
- iPhone 12 mini | iOS 16 Beta
- iPad 4th gen | iPadOS 16 Beta
Comment 1 Radar WebKit Bug Importer 2022-08-11 17:25:55 PDT
<rdar://problem/98539451>
Comment 2 youenn fablet 2022-08-16 03:25:59 PDT
Pull request: https://github.com/WebKit/WebKit/pull/3357
Comment 3 EWS 2022-08-17 00:45:32 PDT
Committed 253509@main (e7501dd78e90): <https://commits.webkit.org/253509@main>

Reviewed commits have been landed. Closing PR #3357 and removing active labels.